Fast Typing

Fast Typing 1.20

Fast Typing is a simple program that saves your time by allowing you to quickly insert pre-defined pieces of Text into any Windows Text Box or Text Editor.

It is very useful if you constantly entering the same text over and over again when writing e-mails, surfing the Web or authoring a new document?

Fast Typing screen shoot


Fast Typing

System requirements

Windows 95/98/ME/NT4/2000/XP/Vista/7/8

Note:Windows 95 and NT 4.0 users may need an updated comctl32.dll or Microsoft Internet Explorer 4 or higher

Fast Typing is compiled with Visual Basic 6 and requires the VB6 runtimes to be installed on your computer.

If VB6 runtime files are not installed on your computer please visit the program Home Page and download the setup program which contain all necessary files to run the program properly.


Fast Typing

License Agreement

Copyright

  • Fast Typing is copyright © 2006-2012 by Taher Salem, all rights reserved.

Distribution

You are allowed to copy this program and give it to any other person, as long as it is not modified in any way. Under modifications is understood the changing, adding or removing of any files of this package without the author's permission. You are NOT allowed to pack this program with a commercial program.

Disclaimer of Warranty

THIS SOFTWARE ARE PROVIDED "AS IS", NO WARRANTY PROVIDED. THE AUTHOR WILL NOT RESPONSE FOR DATA LOSS, DAMAGES, etc... WHILE USING OR MISUSING THIS SOFTWARE.


Contact Me

Author: Taher Salem (Egypt)

For the latest information on this program please visit the program Home Page

For comments, suggestions, asking or report a bug please mail me

Thank you very much for trying this program.

Regards


File Menu Commands

New

Creates a new file.

Keyboard shortcut: | Ctrl+N
Toolbar button: | toolbar icon

Open...

Opens an existing file.

Keyboard shortcut: | Ctrl+O
Toolbar button: | toolbar icon

Save

Saves the current file. When you save a file for the first time, the program will displays the Save As dialog box so you can name your file.

Keyboard shortcut: | Ctrl+S
Toolbar button: | toolbar icon

Save As...

Saves the current file using different name.

Recent Files

Displays the most recently used files to quickly open one of them.

Exit

Closes the current file and quits the program. If you try to quit before saving changes to your work, you'll be prompted to save your work first.


Edit Menu Commands

Add Folder

Creates a new folder inside the selected folder.

Keyboard shortcut: | Ctrl+M
Toolbar button: | toolbar icon

Add Item

Adds a new item to the tree.

Keyboard shortcut: | Ctrl+W
Toolbar button: | toolbar icon

Add Separator

Adds a separator line just below the selected item.

Keyboard shortcut: | Ctrl+L
Toolbar button: | toolbar icon

Repeat

Repeats the selected item.

Keyboard shortcut: Ctrl+E

Move Up

Moves the selected item one place up.

Keyboard shortcut: Ctrl+U / Ctrl+Up arrow

Move Down

Moves the selected item one place down.

Keyboard shortcut: Ctrl+Y / Ctrl+Down arrow

Sort All Menus

Sorts all items in all folders and subfolders alphabetically from A to Z.

Sort Selected Menu

Sorts items in the selected folder only alphabetically from A to Z.

Tip Only one level will sorted, that is if the selected folder has any subfolder then items under this subfolder will not sorted.

Delete

Deletes the selected item.

Keyboard shortcut: | DEL
Toolbar button: | toolbar icon

Rename

Renames the selected item.

Keyboard shortcut: | Ctrl+R / F2
Toolbar button: | toolbar icon


Search Menu Commands

Find...

Displays Find dialog box for searching the file for the specified text. The search is performed from the first item to the last item. If the string is not found or if there isn't anymore occurrence of the text the message "Cannot find ......" is displayed.

Keyboard shortcut: Ctrl+F

Find dialog box

Fast Typing Find box

Options

  • Text: search specified text in the items full text.
  • Name: search specified text in the items name.
  • Shortcut: search specified text in the items shortcut.

Find Next

Repeats the previous Find command, the next occurrence of the find text will be found (if present) or the message "Cannot find ......" is displayed.

Keyboard shortcut: F3


View Menu Commands

Toolbar

Shows or Hides the Toolbar, which includes buttons for some of the most common commands, such as File Save. A check mark appears next to the menu item when the Toolbar is displayed.

Item Text

Shows or Hides the item text.

Item Shortcut

Shows or Hides the item shortcut.

Expand Tree

Unfolds all folders in the tree.

Keyboard shortcut: Ctrl+F1

Collapse Tree

Folds all folders in the tree.

Keyboard shortcut: Ctrl+F2

Options...

Displays the program options dialog box.


Layout Tab Options

Fast Typing Layout tab options

Visual Effects:

check box Show Tree Lines

Displays or hides the lines between the tree items.

check box Show Tree Icons

Displays or hides the tree icons.

check box Fixed Borders

Displays or hides a thin border around the window panels.

check box Flat User Interface

Displays or hides the 3D effects.

Font:

To change the program font, click the Change... button and select another font.

Note

If your language characters doesn't appear correctly, select your language Character set (Script) from the Font dialog box.

Icons:

check box Use Default Icons

Displays the program default icons.

To use your won icons

  1. Clear the option Use Default Icons.
  2. Select the icon you want to change it.
  3. Double click the selected icon or click the Change... button to browse for new icon file.
  4. Repeat step 2 and step 3 for each icon you want to change.


Operation Tab Options

Fast Typing Operation tab options

check box Start program when Windows starts.

Specifies whether the program should automatically start when windows starts.

check box Case sensitive Shortcuts

Specifies whether the shortcuts are case sensitive.

Hotkeys:

You can set your won hotkey for the following commands:

  • Show program window the default hotkey for this commans is Shift + P
    Press this hotkey to show the program main window.
  • Replace shortcut text the default hotkey for this commans is Shift + O
    first type an item shortcut (if it has a shortcut) then press this hotkey to replace shortcut text with full text.
  • Repeat last insertion the default hotkey for this commans is Shift + I
    Press this hotkey to repeat the last insertion (without showing the program main window).